Subject: bug#50643: bug#50344: C-x v keybinding for vc-print-branch-log

From: Filipp Gunbin <[email-masked]>
Date: Mon, 20 Sep 2021 20:31:13 +0300

On 20/09/2021 19:53 +0300, Dmitry Gutov wrote:

> On 20.09.2021 09:49, Juri Linkov wrote:
>>>> It makes sense to create a copy where the meaning of its arg
>>>> is reversed, so by default it will operate on branches,
>>>> and only with C-u on tags.
>>> Yup.
>>>
>>> But I also wonder if reading START-POINT with completion (with current
>>> branch name as default) will make sense for creating tags in all backends
>>> too.
>> You mean tag completion for creating tags?  Maybe.
>
> Branch completion. To specify which branch tip to tag.
>
> This seems like an unusual thing to need to do, but if we keep branch
> and tag creation on the same command, and add START-POINT completion by
> default, it might become the expected behavior in both scenarios, no?

I think also (maybe that's obvious, but still) that START-POINT
auto-completion should include both branches and tags (because it's
common to create a branch off some tag).  Of course, it should allow
specifying arbitrary commit hash.